/* $Id$ */

// test suite specific includes
//#include <lgl/Nav.hpp>

#include <lgl/Graphs.hpp>
#include <lgl/NavGEdge.hpp>
#include <lgl/NavGNode.hpp>

namespace jafar {
  namespace lgl {

    /* 
     * class NavGraph test suite 
     */
	 
    class test_NavGraph {
		
    public:
		
      test_NavGraph() {

		  NavGraphT<NavGEdge,NavGNode,unsigned int>* g = new NavGraphT<NavGEdge,NavGNode,unsigned int>(100,100);
		  
		  NavLocation loc1(0,0);
		  NavLocation loc2(100,100);
		  
		  g->addEdge(loc1,loc2);
		  
		  NavGNode node1(loc1);
		  NavGNode node2(loc2);
		  
		  g->setVertexBundle(loc1,node1);
		  g->setVertexBundle(loc2,node2);
		  
		  NavGNode node;
		  g->getVertexBundle(loc2,node);
		  cout << "Pos :" << node.pos.pos_x << endl;
		 
		  node.pos.pos_x=50;
		  g->setVertexBundle(loc2,node);
		  
		  //
		  (*g->getGCtn())[g->getVertex(loc2)].pos.pos_y=25;
		  
		  g->getVertexBundle(loc2,node);
		  
		  
		  cout << "Pos :" << node.pos.pos_x << endl;
		  		  
		  cout << "Pos y=" << (*g->getGCtn())[g->getVertex(loc2)].pos.pos_y << endl;
		  
		  g->print();
		  
		}

    };
  } // namespace lgl

} // namespace jafar
