/* $Id: test_suite_Quadtree.hpp 4272 2009-11-17 16:07:20Z rboumgha $ */

// test suite specific includes
#include "lgl/Quadtree.hpp"
#include "lgl/Decomp.hpp"
#include "lgl/GeoData.hpp"
#include "lgl/Raster.hpp"
#include "lgl/PositionManager.hpp"
#include "lgl/CostManager.hpp"
#include "lgl/NavGraph.hpp"


using namespace jafar::lgl;
using namespace std;


void createDemo()
{

//	LGLViewer* robert = NULL;
	GeoData *geodata = NULL;

	int xsize = 100;
	int ysize = 300;
	const int N = xsize*ysize;
	double buf[N]; 
	// Creating a nice mathematical picture
	for (int i=0; i<xsize; i++)
	for (int j=0; j<ysize; j++)
	{
		buf[i+xsize*j] = (double)(i+j)/(double)(xsize+ysize);
	}

	cout << "----- Creating new GeoData from buffered data..." << endl;
	geodata = new GeoData(xsize, ysize, buf);
	cout << "----- Saving GeoData..." << endl;
	geodata->saveData("/tmp/outputLoadedGeodata.tfw");


}

////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////
int main(int argc, char *argv[])
{
	createDemo();
	return 0;
}

