/**
 * \file Location.cpp
 *
 * Source file for the navigation position structure
 *
 * \author Redouane Boumghar, Hung Cao
 *
 * \ingroup lgl
 *
 **/

#include <lgl/Location.hpp>


using namespace jafar::lgl;
	 
std::ostream& jafar::lgl::operator<<(std::ostream& out, const NavLocation &loc) {
	// No new line after printing. Just a simple space
	out << "Location : XY (" << loc.pos_x << ", " << loc.pos_y << ") UTM (" 
	<< loc.utm_x << ", " << loc.utm_y << ", " << loc.utm_z << ") "; 
	return out;
}

 
